import { ReactNode } from 'react';
export declare function PageDialogProvider(props: {
    children: ReactNode;
}): import("react/jsx-runtime").JSX.Element;
export declare function usePageDialogs(): {
    dialogs: ReactNode[];
    clearDialogs: () => void;
    pushDialog: (_dialog: ReactNode) => void;
    popDialog: () => void;
};
export declare function usePageDialog(): [
    dialog: ReactNode | undefined,
    setDialog: (dialog: ReactNode | undefined) => void
];
